
/* You can either copy the below and paste it between style tags on your HTML page, OR you can copy this to a file and name it .css and link it from your HTML page. */

@font-face {
  font-family: 'Terminus';
  src: url('../fonts/TerminusTTF-Bold-4.49.3.ttf');
}

@font-face {
  font-family: 'VCR';
  src: url('../fonts/VCR_OSD_MONO_1.001.ttf');
}

:root {
  --header-bg:#000000;
  --nav-bg:#000000;
  --article-bg:#000000ce;
  --border-color:#F1F1F1;
  --sidebar-text-color:#e9e8e8;
  --article-text-color:#d8d8d8;
  --article-heading-color:#F1F1F1;
  --nav-link-color:#F1F1F1;
  --darker-border-color:#290f0f;
  --code-bg-color:#700d0d;
  --code-border-color:#845194;
}
html, body {
  position: relative;
  padding:0;
  margin:0;
  height: 100% 
}

@keyframes spin {
  from {transform:rotate(0deg);}
  to {transform:rotate(360deg);}
}
.cloud-background {
  image-rendering: pixelated;
  }
img.cloud1 {
  position: fixed;
  image-rendering: pixelated;
  top: 50%;
  left: 50%;
  width: 2048px;
  height: 2048px;
  margin-top: -1024px; 
  margin-left: -1024px;
  z-index: -1;
  animation: spin 700s infinite linear;
  
}
img.cloud2 {
  position: fixed;
  image-rendering: pixelated;
  top: 50%;
  left: 50%;
  width: 2048px;
  height: 2048px;
  margin-top: -1024px; 
  margin-left: -1024px;
  z-index: -2;
  animation: spin 1100s infinite linear;

}
img.cloud3 {
  position: fixed;
  image-rendering: pixelated;
  top: 50%;
  left: 50%;
  width: 2048px;
  height: 2048px;
  margin-top: -1024px; 
  margin-left: -1024px;
  z-index: -3;
  animation: spin 1300s infinite linear;
}
img.cloud4 {
  position: fixed;
  image-rendering: pixelated;
  top: 50%;
  left: 50%;
  width: 2048px;
  height: 2048px;
  margin-top: -1024px; 
  margin-left: -1024px;
  z-index: -4;
  animation: spin 1400s infinite linear;
}
img.cloud5 {
  position: fixed;
  image-rendering: pixelated;
  top: 50%;
  left: 50%;
  width: 2048px;
  height: 2048px;
  margin-top: -1024px; 
  margin-left: -1024px;
  z-index: -5;
  animation: spin 1500s infinite linear;
}
img.cloud6 {
  position: fixed;
  image-rendering: pixelated;
  top: 50%;
  left: 50%;
  width: 2048px;
  height: 2048px;
  margin-top: -1024px; 
  margin-left: -1024px;
  z-index: -6;
  animation: spin 1600s infinite linear;
}
img.cloud7 {
  position: fixed;
  image-rendering: pixelated;
  top: 50%;
  left: 50%;
  width: 2048px;
  height: 2048px;
  margin-top: -1024px; 
  margin-left: -1024px;
  z-index: -7;
  animation: spin 1700s infinite linear;
}

img.column1{
  position: fixed; 
  transform: scaleX(0.7); 
  float: left; 
  left: -100;
  z-index: -1;
  image-rendering: pixelated;
  -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
  filter: grayscale(100%);
  max-height: 100lvh;
}

img.column2{
  position: fixed; 
  transform: scaleX(-0.7); 
  right: -100;
  z-index: -1;
  image-rendering: pixelated;
  -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
  filter: grayscale(100%);
  max-height: 100lvh;
}

img.cameras{
  position: fixed; 
  transform: scaleX(-0.5) scaleY(0.8);
  right: -10%;
  bottom: -150;
  z-index: -1;
  image-rendering: pixelated;
  filter: grayscale(100%);
  max-height: 100lvh;
}

img.dishes{
  position: fixed; 
  transform: scaleX(.5) scaleY(.5);
  top: -200;
  left: -150;
  z-index: -1;
  image-rendering: pixelated;
  -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
  filter: grayscale(100%);
  max-height: 100lvh;
}


img.article-thumbnail{

  max-height: 300;
  float: left;

}

body {
  font-size:12px;
  background-color: #000000;
  height: 100%
}
body a {
  color:var(--nav-link-color);
  text-decoration: none;
}

header, nav {
  max-width:100%;
}
aside {
  width:15%;
  position: absolute;
}
.flex {
  display:flex;
  max-width:90%;
  margin: auto;
  justify-content: space-between;
}
nav {
  display: flex;
  height:auto;
  margin-bottom:10px;
  background-position: 95%;
  font-family: 'Terminus', monospace;
  text-align: center;
  justify-content:space-evenly;
  -webkit-text-stroke: 1px black;
  margin-left: auto;
  margin-right: auto;
}

header {
  display: flex;
  justify-content: space-evenly;
  font-family: 'VCR', monospace;
  color: #F1F1F1;
  margin-top: 0;
  font-size: clamp(10pt, 65pt, 7vw);
  -webkit-text-stroke: 2px black;
  text-align: center;
  margin-bottom: 0px;
  margin-left: auto;
  margin-right: auto;
  text-shadow: 1px 1px 2px #000000;
}
main {
  display: block;

  margin-left: 20%;
  margin-right: 20%;
}
section {
  margin-bottom:10px;
  color:var(--sidebar-text-color);
}
article { 
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 60px;
  background-color:var(--article-bg);
  background-position-y: 100%;
  background-position-x: 30%;
  background-size: 110%;
  color:var(--article-text-color);
  padding:30px;
  font-family: 'courier';
  font-size: large;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.664), 0 6px 20px 0 rgba(0, 0, 0, 0.705);
  image-rendering: pixelated;
  -webkit-filter: grayscale(70%);
  font-weight: bold;
}
div.article-content {
  text-align: left;
  display: flex;
}
p.article-text {

  padding-left: 5%;
  text-align: left;

}
.subtitle {
  background-image: url(../images/static.jpg);
  background-position-y: 5%;
  padding: 5px;
  font-family: 'Terminus', monospace;
  font-size: 20pt;
  color: #F1F1F1;
  -webkit-text-stroke: 1px black;
}

.subtitle:hover {
  background-image: url(../images/static.gif);
  background-position-y: 5%;
}

.sidebar-subtitle {
  background-color:var(--nav-bg);
  background-position-y: 5%;
  padding: 5px;
  font-family: 'Terminus', monospace;
  font-size: xx-large;
  font-weight: bold;
  color: #F1F1F1;
  -webkit-text-stroke: 1px black;
  text-transform: uppercase;
  letter-spacing: 1;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.664), 0 6px 20px 0 rgba(0, 0, 0, 0.705)
}

.links {
  list-style-type:none;
  font-family: 'Terminus';
  font-size: x-large;
}
.links li {
  background-image: url(../images/static.jpg);
  background-position-y: 10%;
  padding: 5px;
  margin-bottom:3px;
  margin-left: auto;
  margin-right: auto;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.664), 0 6px 20px 0 rgba(0, 0, 0, 0.705)
}
.links li:hover{
  background-image: url(../images/static.gif);
  background-position-y: 5%;
}
.links li a {
  text-decoration:none;
  color:inherit;
}
.nav {
  display: flex;
  /* align-items: stretch; Default */
  justify-content: space-between;

}
.nav ul {
  padding-left: 0px;
  padding-inline-start: 0px;
}
.nav li {
  display: inline;
  /* flex: 0 1 auto; Default */
  list-style-type: none;
  font-size: clamp(10pt, 30pt, 5vw);
  font-weight: bold;
  font-family: "vcr";
  border-left-width: 60px;
  border-style: solid;
  border-color: transparent;
  white-space: nowrap;
  text-align: center;
  text-shadow: 1px 1px 2px #000000;
}
.nav li a {
  text-decoration:none;
  text-transform:uppercase;
  color:var(--nav-link-color);
}
.subtitle {
  color:var(--article-text-color);
  font-weight:bold;
  letter-spacing:1px;
  text-decoration:none;
}
article .subtitle {
  text-transform:uppercase;
  color:var(--article-heading-color);
  margin-top:10px;
  margin-left:5px;
  margin-right:5px;
  margin-bottom:10px;
  font-size: xx-large;
  text-decoration:none;
}

article a .subtitle {
  text-decoration:none;
}

pre.language-bash {

  background-color:var(--code-bg-color);
  border: 1px;
  border-style: solid;
  border-color: var(--code-border-color);
  padding: 10px;
  overflow: auto;
  overflow-x: auto;
  white-space-collapse: preserve-breaks;
  width: 100%;
  font-weight: normal;
  font-family: 'Terminus';

}

code {

  background-color:var(--code-bg-color);
  overflow: auto;
  overflow-x: auto;
  white-space-collapse: preserve-breaks;
  width: 100%;
  font-family: 'Terminus';

} 

md-block a {

  color: rgb(255, 0, 0);

}

blockquote {
  border-left: 3px solid #ccc;
  padding-left: 29px;
}


footer {
  max-width:800px;
  text-align:center;
  color:var(--sidebar-text-color);
}
footer a{
  color:var(--navbar-link-color);
}
@media only screen and (max-width: 990px) {
  .flex {
    flex-wrap:wrap;
  }
  aside {
    display:none;
    width:100%;
    margin-left:5%;
    margin-right:5%;
    position: unset
  }
  aside > section {
    margin-right:10px;
  }
  .nav {
    margin-left:0 !important;
    /* margin-right:50px; */
    position:unset;
  }
  .nav li {
    padding-bottom:5px;
    -webkit-text-stroke: 0px black;
  }
  main {
    display: block;
    margin-left: 1%;
    margin-right: 1%;
  }
  img.article-thumbnail{
    display:none;
  }
  header {
    -webkit-text-stroke: 1px black;;
  }
  img.column2{
    display: none;
    max-height: 200%;
  }
  img.dishes{
    top: -250
  }
  img.cameras{
    display: none;
  }
  img.cameras{
    right: -40%;
  }
  article .subtitle {

    font-size: x-large

  }

}

@media only screen and (max-width: 1400px) {

  img.article-thumbnail{
    display:none;
  }

}